<?xml version="1.0" encoding="UTF-8"?>
<value type="metahash">
    <meta key="Description" type="string">A layout of display panes</meta>
    <meta key="Editor" type="hash">
        <value key="Type" type="string">SortedKey</value>
    </meta>

    <value key="" type="metahash">
        <meta key="Description" type="string">Display pane configuration</meta>

        <value key="Layout" type="metahash">
            <meta key="Description" type="string">Pane layout configuration</meta>

            <value key="X" type="metainteger">
                <meta key="Description" type="string">The logical X (horizontal) origin column of the pane</meta>
                <meta key="UndefinedDescription" type="string">Zero</meta>
                <meta key="Editor" type="hash">
                    <value key="Minimum" type="integer">0</value>
                </meta>
            </value>
            <value key="Y" type="metainteger">
                <meta key="Description" type="string">The logical Y (vertical) origin row of the pane</meta>
                <meta key="UndefinedDescription" type="string">Below the prior pane</meta>
                <meta key="Editor" type="hash">
                    <value key="Minimum" type="integer">0</value>
                </meta>
            </value>

            <value key="Width" type="metainteger">
                <meta key="Description" type="string">The width in logical columns of the pane</meta>
                <meta key="UndefinedDescription" type="string">1</meta>
                <meta key="Editor" type="hash">
                    <value key="Minimum" type="integer">1</value>
                </meta>
            </value>
            <value key="Height" type="metainteger">
                <meta key="Description" type="string">The height in logical rows of the pane</meta>
                <meta key="UndefinedDescription" type="string">1</meta>
                <meta key="Editor" type="hash">
                    <value key="Minimum" type="integer">1</value>
                </meta>
            </value>

            <value key="MinimumWidth" type="metainteger">
                <meta key="Description" type="string">The minimum width of the pane</meta>
                <meta key="Units" type="string">pixels</meta>
                <meta key="Editor" type="hash">
                    <value key="Minimum" type="integer">1</value>
                </meta>
            </value>
            <value key="MinimumHeight" type="metainteger">
                <meta key="Description" type="string">The minimum height of the pane</meta>
                <meta key="Units" type="string">pixels</meta>
                <meta key="Editor" type="hash">
                    <value key="Minimum" type="integer">1</value>
                </meta>
            </value>

            <value key="Stretch" type="metahash">
                <meta key="Description" type="string">The logical stretch factors of the pane</meta>

                <value key="X" type="metaarray">
                    <meta key="Description" type="string">The horizontal stretch factors for each logical column in the pane width</meta>
                    <meta key="Children" type="metainteger">
                        <meta key="Description" type="string">Column stretch factor</meta>
                        <meta key="UndefinedDescription" type="string">0</meta>
                        <meta key="Editor" type="hash">
                            <value key="Minimum" type="integer">0</value>
                        </meta>
                    </meta>
                </value>
                <value key="Y" type="metaarray">
                    <meta key="Description" type="string">The vertical stretch factors for each logical row in the pane height</meta>
                    <meta key="Children" type="metainteger">
                        <meta key="Description" type="string">Column stretch factor</meta>
                        <meta key="UndefinedDescription" type="string">0</meta>
                        <meta key="Editor" type="hash">
                            <value key="Minimum" type="integer">0</value>
                        </meta>
                    </meta>
                </value>
            </value>
        </value>

        <value key="Type" type="metastring">
            <meta key="Description" type="string">Pane display type</meta>
            <meta key="UndefinedDescription" type="string">Generic scatter plot</meta>
            <meta key="Editor" type="hash">
                <value key="Type" type="string">Enumeration</value>
                <value key="DefaultCollapsed" type="boolean">true</value>
            </meta>
            <meta key="EnumerationValues" type="hash">
                <value key="TimeSeries" type="hash">
                    <value key="SortPriority" type="integer">0</value>
                    <value key="Text" type="string">Time series</value>
                    <value key="Description" type="string">A plot of a two dimensional strip chart style time series of data</value>
                    <value key="Alias" type="flags">
                        <flag>TimeSeries2D</flag>
                    </value>
                </value>
                <value key="Cycle" type="hash">
                    <value key="SortPriority" type="integer">1</value>
                    <value key="Text" type="string">Time cycle</value>
                    <value key="Description" type="string">A plot of a two dimensional cyclical visualization of data</value>
                    <value key="Alias" type="flags">
                        <flag>Cycle2D</flag>
                    </value>
                </value>
                <value key="Scatter" type="hash">
                    <value key="SortPriority" type="integer">2</value>
                    <value key="Text" type="string">Scatter plot</value>
                    <value key="Description" type="string">A generic scatter or multidimensional binning plot</value>
                    <value key="Alias" type="flags">
                        <flag>Scatter2D</flag>
                        <flag>Graph2D</flag>
                    </value>
                </value>
                <value key="Layout" type="hash">
                    <value key="SortPriority" type="integer">3</value>
                    <value key="Text" type="string">Generic layout</value>
                    <value key="Description" type="string">A recursive definition of another layout</value>
                </value>
            </meta>
        </value>

        <meta key="Overlay" type="array">
            <value type="hash">
                <value key="Require" type="hash">
                    <value key="Type" type="string">Layout</value>
                </value>
                <value key="Final" type="boolean">true</value>

                <value key="Data" type="metahash">
                    <meta key="ArbitraryStructure" type="boolean">true</meta>
                    <meta key="Editor" type="hash">
                        <value key="Type" type="string">UniqueKey</value>
                    </meta>
                    <value key="" type="metahash">
                        <meta key="RecursivePath" type="string">..</meta>
                    </value>
                </value>
            </value>

            <value type="hash">
                <value key="DocumentationSection" type="string">Graph Common</value>

                <value key="Data" merge="@/graphing/graph2d/graph2dcommon.xml"/>
            </value>

            <value type="hash">
                <value key="Require" type="hash">
                    <value key="Type" type="string">TimeSeries</value>
                </value>
                <value key="Final" type="boolean">true</value>
                <value key="DocumentationSection" type="string">Time Series</value>

                <value key="Data" merge="@/graphing/graph2d/timeseries2d.xml"/>
            </value>

            <value type="hash">
                <value key="Require" type="hash">
                    <value key="Type" type="string">Scatter</value>
                </value>
                <value key="Final" type="boolean">true</value>
                <value key="DocumentationSection" type="string">Scatter Plot</value>

                <value key="Data" merge="@/graphing/graph2d/scatter2d.xml"/>
            </value>

            <value type="hash">
                <value key="Require" type="hash">
                    <value key="Type" type="string">Cycle</value>
                </value>
                <value key="Final" type="boolean">true</value>
                <value key="DocumentationSection" type="string">Cycle Plot</value>

                <value key="Data" merge="@/graphing/graph2d/cycle2d.xml"/>
            </value>
        </meta>
    </value>
</value>
